List invitations
Lists an organization’s or realm’s invitations, newest first by default, filtered by status or email query, 1-based pages of up to 100.
Requires a signed-in user token; with realm_id, a realm admin with the realms.members.manage permission on that realm; with org_id, a role with the org.members.manage permission in that organization. One of realm_id or org_id is required.
POST
/
v1
/
invitations
/
get
List invitations
curl --request POST \
--url https://{host}/v1/invitations/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"status": "pending"
}
'import requests
url = "https://{host}/v1/invitations/get"
payload = {
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"status": "pending"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({org_id: '2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f', status: 'pending'})
};
fetch('https://{host}/v1/invitations/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/invitations/get",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'org_id' => '2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f',
'status' => 'pending'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/invitations/get"
payload := strings.NewReader("{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"status\": \"pending\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/invitations/get")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"status\": \"pending\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/invitations/get")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"status\": \"pending\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"target_type": "org",
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"invites": [
{
"invite_id": "3e4f5a6b-7c8d-4e9f-8a0b-1c2d3e4f5a6b",
"email": "[email protected]",
"role": "member",
"kind": "org_member",
"status": "pending",
"inviter": {
"id": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"display_name": "Sapan"
},
"send_count": 1,
"last_sent_at": "2026-10-07T10:00:00Z",
"expires_at": "2026-10-14T10:00:00Z",
"deliveries": [
{
"kind": "sent",
"sent_at": "2026-10-07T10:00:00Z",
"email_sent": true,
"provider_message_id": null
}
],
"created_at": "2026-10-07T10:00:00Z"
}
],
"total": 1,
"page": 1,
"page_size": 20
}
}{
"ok": false,
"error": {
"code": "bad_request",
"message": "realm_id or org_id is required"
}
}{
"ok": false,
"error": {
"code": "unauthorized",
"message": "Authentication required"
}
}{
"ok": false,
"error": {
"code": "forbidden",
"message": "You do not have access to do this"
}
}{
"ok": false,
"error": {
"code": "not_found",
"message": "Not found"
}
}{
"ok": false,
"error": "org_id: org_id or realm_id is required",
"code": "invalid_params"
}{
"ok": false,
"error": "Internal server error",
"code": "internal_error"
}Authorizations
User PAT (cliq_tok_…, including session-scoped) or realm token (cliq_dt_…).
Body
application/json
org or realm. Defaults to org when org_id is sent.
Available options:
org, realm The organization.
The realm.
Minimum string length:
1Only invitations in this status (a pending one past its expiry counts as expired).
Available options:
pending, accepted, declined, revoked, expired Matches part of the email.
Field to sort by, with - first for descending. Default -created_at.
Page number, from 1.
Required range:
x >= 1Page size (at most 100).
Required range:
1 <= x <= 100⌘I
List invitations
curl --request POST \
--url https://{host}/v1/invitations/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"status": "pending"
}
'import requests
url = "https://{host}/v1/invitations/get"
payload = {
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"status": "pending"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({org_id: '2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f', status: 'pending'})
};
fetch('https://{host}/v1/invitations/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/invitations/get",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'org_id' => '2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f',
'status' => 'pending'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/invitations/get"
payload := strings.NewReader("{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"status\": \"pending\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/invitations/get")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"status\": \"pending\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/invitations/get")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"org_id\": \"2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f\",\n \"status\": \"pending\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"target_type": "org",
"org_id": "2c3d4e5f-6a7b-4c8d-9e0f-1a2b3c4d5e6f",
"invites": [
{
"invite_id": "3e4f5a6b-7c8d-4e9f-8a0b-1c2d3e4f5a6b",
"email": "[email protected]",
"role": "member",
"kind": "org_member",
"status": "pending",
"inviter": {
"id": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"display_name": "Sapan"
},
"send_count": 1,
"last_sent_at": "2026-10-07T10:00:00Z",
"expires_at": "2026-10-14T10:00:00Z",
"deliveries": [
{
"kind": "sent",
"sent_at": "2026-10-07T10:00:00Z",
"email_sent": true,
"provider_message_id": null
}
],
"created_at": "2026-10-07T10:00:00Z"
}
],
"total": 1,
"page": 1,
"page_size": 20
}
}{
"ok": false,
"error": {
"code": "bad_request",
"message": "realm_id or org_id is required"
}
}{
"ok": false,
"error": {
"code": "unauthorized",
"message": "Authentication required"
}
}{
"ok": false,
"error": {
"code": "forbidden",
"message": "You do not have access to do this"
}
}{
"ok": false,
"error": {
"code": "not_found",
"message": "Not found"
}
}{
"ok": false,
"error": "org_id: org_id or realm_id is required",
"code": "invalid_params"
}{
"ok": false,
"error": "Internal server error",
"code": "internal_error"
}